/**
 * 图片预加载组件
 */
Component({
  properties: {

    defaultImage: String,

    remoteImage: {
      type: String,
      value: "",
      observer: function(newVal, oldVal) {
        if (newVal != oldVal) {
          this.setData({
            isFinish: false
          })
        }
      }
    },

    mode: String
  },

  data: {
    isFinish: false
  },

  externalClasses: ['load-image'],

  methods: {
    finishLoad(e) {
      console.log(e)
      this.setData({
        isFinish: true
      })
    },

    errorLoad(e) {
      console.log(e)
      this.setData({
        isFinish: false
      })
    }
  }
})